Skip to main content
GET
/
marketing
/
marketing-events
/
2026-03
/
participations
/
contacts
/
{contactIdentifier}
/
breakdown
Read participations breakdown by Contact identifier
curl --request GET \
  --url https://api.hubapi.com/marketing/marketing-events/2026-03/participations/contacts/{contactIdentifier}/breakdown \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "associations": {
        "contact": {
          "contactId": "<string>",
          "email": "<string>",
          "firstname": "<string>",
          "lastname": "<string>"
        },
        "marketingEvent": {
          "marketingEventId": "<string>",
          "name": "<string>",
          "externalAccountId": "<string>",
          "externalEventId": "<string>"
        }
      },
      "createdAt": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "properties": {
        "attendanceState": "ATTENDED",
        "occurredAt": 123,
        "attendanceDurationSeconds": 123,
        "attendancePercentage": "<string>"
      }
    }
  ],
  "total": 123,
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    },
    "prev": {
      "before": "<string>",
      "link": "<string>"
    }
  }
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

contactIdentifier
string
required

The identifier of the Contact. It may be email or internal id.

Query Parameters

after
string

The cursor indicating the position of the last retrieved item.

limit
integer<int32>
default:10

The limit for response size. The default value is 10, the max number is 100

state
string

The participation state value. It may be REGISTERED, CANCELLED, ATTENDED, NO_SHOW

Response

successful operation

results
object[]
required
total
integer<int32>
required
paging
object
Last modified on April 13, 2026